maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ralph Goers <Ralph.Go...@dslextreme.com>
Subject Re: Mercury Version Ranges
Date Wed, 13 Aug 2008 06:03:46 GMT


Michael McCallum wrote:
> On Wed, 13 Aug 2008 17:42:17 Ralph Goers wrote:
>   
>> To be honest, even with this I'd still probably not use version ranges.
>> But I sure would like for Maven to be able to fail the build because two
>> artifacts need incompatible versions of the same thing.
>>     
> it does if you use version ranges.... 
>
> and that is exactly why i use ranges...
>   
>
I sort of buy that, except it doesn't result in a repeatable build at 
any time in the future. Specifying a specific version in 
dependencyManagement along with provides and requires would achieve both.

Ralph

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
For additional commands, e-mail: dev-help@maven.apache.org


Mime
View raw message